﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SampleForSupport
{
    public class DefectReadingMeterSynthesis
    {
        #region Attributs
        private String defectCode;
        #endregion Attributs

        #region Properties

        /// <summary>
        /// Identifiant de l equipement
        /// </summary>
        public int MeterId
        {
            get;
            set;
        }

        /// <summary>
        /// Nombre d'occurences sur une période donnée
        /// </summary>
        public int DefectMeterNbOccurences
        {
            get;
            set;
        }

        /// <summary>
        /// Liste d'occurence des défauts.
        /// Cette liste est remplie par le MeterDefectsViewModel par des " " ou des "x" en fonction de la présence d'une occurence du problème
        /// </summary>
        public List<String> DefectMeterByDay
        {
            get;
            set;
        }

        /// <summary>
        /// Meter l automate
        /// </summary>
        public String DefectCode
        {
            get
            {
                return defectCode;
            }
            set
            {
                this.defectCode = value;
            }
        }

        #endregion Properties

        #region Constructeur / Destructeur
        /// <summary>
        /// Défaut de lecture équipement contructeur
        /// </summary>
        public DefectReadingMeterSynthesis()
        {
            this.DefectMeterByDay = new List<string>();
        }
        #endregion Constructeur / Destructeur
    }
}
